%define name streamtastic
%define version 0.4.1
%define release %mkrel 2

Summary:    	Streamtastic is a graphical user interface for the Streamripper
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	Sound
License:    	GPL
URL:        	https://launchpad.net/streamtastic
Source0:     	https://launchpad.net/streamtastic/%{name}-%{version}.tar.xz
Source1:        %{name}.png
Requires:     	java
Requires:       streamripper
BuildArch:      noarch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version


%description
With Streamtastic you can easily record online
radio streams to your hard drive in MP3, OGG
Vorbis and other formats supported by Streamripper.
For this purpose several online radio station directories
are accessible through an easy to use interface. It's as
easy as selecting a genre, picking a station and pressing
the "Record"-Button. If you have found a Station you like,
you can add it to your personal favorites with one click,
for quick access later.

%prep

%setup -n %{name}-%{version}


%install

export DONT_STRIP=1

rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/%{name}/lib
cp -af *.sh %{buildroot}/%{_libdir}/%{name}/
cp -af *.jar %{buildroot}/%{_libdir}/%{name}/
cp -af lib/*.jar %{buildroot}/%{_libdir}/%{name}/lib

#icons
mkdir -p %buildroot/%_miconsdir \
         %buildroot/%_liconsdir \
         %buildroot/%_iconsdir
cp -af %SOURCE1 %buildroot/
convert  %SOURCE1 -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert %SOURCE1 -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -af %buildroot/%{_liconsdir}/%{name}.png %{buildroot}/%{_datadir}/pixmaps/

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_libdir/%{name}
./streamtastic.sh
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Streamtastic
GenericName=Streamtastic
Comment=Graphical user interface for the Streamripper
Exec=%{name}
Icon=%_datadir/pixmaps/%{name}.png
Terminal=0
Type=Application
Categories=AudioVideo;Player;X-MandrivaLinux-Multimedia-Sound;
EOF

rm -rf %{buildroot}/streamtastic.png

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0777)
%doc CHANGES COPYING README
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %attr(0777, root, root)%{_libdir}/%{name}
%attr(0755, root, root) %{_libdir}/streamtastic/lib/substance-6.1-lite-patched.jar
%attr(0755, root, root) %{_libdir}/streamtastic/lib/swingx-core-1.6.2.jar
%attr(0755, root, root) %{_libdir}/streamtastic/lib/trident.jar
%attr(0755, root, root) %{_libdir}/streamtastic/streamtastic.jar
%attr(0755, root, root) %{_libdir}/streamtastic/streamtastic.sh

%changelog
* Tue Apr 07 2015 bb <bb> 0.4.1-2pclos2015
- update for java

* Sun Aug 19 2012 Ken <lxgator@gmail.com> 0.4.1-1pclos2012
- first build
